Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041242
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 16:232019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision057aaf20b293
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041242: DocFINBankStatement.createFact is not using bind-params

DescriptionThe following code is not using bind-params:

      whereClause.append(
          " where astdt.acctschemaTable.accountingSchema.id = '" + as.m_C_AcctSchema_ID + "'");
      whereClause.append(" and astdt.acctschemaTable.table.id = '" + AD_Table_ID + "'");
      whereClause.append(" and astdt.documentCategory = '" + DocumentType + "'");

and

        whereClause2.append(" as ast ");
        whereClause2.append(" where ast.accountingSchema.id = '" + as.m_C_AcctSchema_ID + "'");
        whereClause2.append(" and ast.table.id = '" + AD_Table_ID + "'");

When fixing please apply new HQL style to all HQL in the file.

Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041419 closedcollazoandy4 Apply HQL style guide to DocFINBankStatement 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113583)
collazoandy4 (developer)
2019-07-23 00:00

Test Plan
  Go to Financial Account and select Cuenta de Banco record
    In Account Configuration tab check Enable Bank Statement and fillout all the fields with valid values
    Go to Imported Bank Statement tab and create a new record, process and post it
    Check the process ends without error
(0113959)
hgbot (developer)
2019-08-13 10:02

Repository: erp/devel/pi
Changeset: 057aaf20b2931ef5c05ce63bc1b1144031dbacda
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jul 22 17:04:40 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/057aaf20b2931ef5c05ce63bc1b1144031dbacda [^]

Fixes issue 41242: DocFINBankStatement.createFact is not using bind-params

Added missing bind-params

---
M src/org/openbravo/erpCommon/ad_forms/DocFINBankStatement.java
---
(0113960)
Sandrahuguet (developer)
2019-08-13 10:21

code review + testing ok
(0114221)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 16:23 shuehner New Issue
2019-07-02 16:23 shuehner Assigned To => Triage Finance
2019-07-02 16:23 shuehner Modules => Core
2019-07-02 16:23 shuehner Triggers an Emergency Pack => No
2019-07-02 16:23 shuehner Relationship added blocks 0038136
2019-07-04 12:15 shuehner Target Version => 3.0PR19Q4
2019-07-22 17:57 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-22 17:58 collazoandy4 Status new => scheduled
2019-07-23 00:00 collazoandy4 Note Added: 0113583
2019-08-13 09:46 Sandrahuguet Relationship added related to 0041419
2019-08-13 10:02 hgbot Checkin
2019-08-13 10:02 hgbot Note Added: 0113959
2019-08-13 10:02 hgbot Status scheduled => resolved
2019-08-13 10:02 hgbot Resolution open => fixed
2019-08-13 10:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/057aaf20b2931ef5c05ce63bc1b1144031dbacda [^]
2019-08-13 10:21 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-13 10:21 Sandrahuguet Note Added: 0113960
2019-08-13 10:21 Sandrahuguet Status resolved => closed
2019-08-13 10:21 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114221


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker